• 博客升级及代码高亮插件安装记录

    前天在贴代码的时候急需一个代码高亮插件,试验了好几个都不是太理想,最后决定用SyntaxHighlighter Evolved,原因如下

    1. 界面说得过去。如果不够漂亮的话要代码高亮插件干嘛?直接贴pre不就OK了嘛!
    2. 在可视化和代码模式切换时样式不会改变。
    3. 支持多种代码方式及参数,如[@css]代码[/css],[@code lang=”css”]代码[/code] (将@去掉)

    但是不幸的是启用SyntaxHighlighter Evolved后却只见代码转换为了pre标签,没有任何代码高亮该有的格式,搜索SyntaxHighlighter Evolved 也只找到该插件的使用方法,不能高亮、不能使用之类的问题都没搜到,郁闷了。。。莫非这个插件就没什么bug ?还是WP版本有问题?那就升级下试试吧

    1. 下载下来/wp-includes/ 文件夹下面修改过的相关文件
      • formatting.php (与WP表情相关)
      • functions.php (与WP表情相关)
      • feed-rss.php (与feed相关)
    2. 升级Wordpress至最新的3.2.1版(我在这里犯了个错,未停掉所有插件,导致博客首页空白,后台无法登陆,解决办法是将plugins目录重命名,然后登陆再一个个启用,最后查出是BackWPUP插件不兼容,删除重装,OK)
    3. 检查插件设置是否妥当,上传修改过的formatting.php等文件。
    4. 安装代码高亮插件SyntaxHighlighter Evolved并启用

    可悲的是,升级Wordpress至3.2.1最新版后仍未有任何代码高亮效果,而换了其他的主题就漂亮亮的高亮了,难道是我的主题有bug?(其实WP升级之前我就换过其他主题试过的,问题都一样,没有任何高亮效果,真是奇怪)

    [阅读全文...]